org.apache.ignite.internal

## Interface ExecutorAwareMessage

All Superinterfaces:
  Message, Serializable

All Known Implementing Classes:
  GridJobExecuteRequest

    public interface ExecutorAwareMessage
    extends Message

Message with specified custom executor must be processed in the appropriate thread pool.

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Method Summary

All Methods Instance Methods Abstract Methods
`@Nullable String` `executorName()`

### Methods inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`directType, fieldsCount, onAckReceived, readFrom, writeTo`

### Method Detail

#### executorName

    @Nullable
    @Nullable String executorName()

Returns:
  Custom executor name. `null` In case the custom executor is not provided.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021